Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Attributausgabe

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Attributausgabe (497 mal gelesen)
Kenny1
Mitglied



Sehen Sie sich das Profil von Kenny1 an!   Senden Sie eine Private Message an Kenny1  Schreiben Sie einen Gästebucheintrag für Kenny1

Beiträge: 77
Registriert: 29.06.2004

erstellt am: 14. Jul. 2005 06:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Leute,
ist es möglich, die Attributdefinitionen über eine Lispprogramm auszulesen ? In den "normalen" GC  finde ich nichts. Wenn ja, wie ?

Gruß Kenny1

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 14. Jul. 2005 07:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Kenny1 10 Unities + Antwort hilfreich

Hallo Kenny,
über entnext kommst Du an die Attributsdefinition.

Das folgende ist nur als Beispiel zu sehen, mußt Dich mal durchprobieren:

;;Testausgabe von Attributsnamen
(defun c:test ( / aws n m n1 temp def_block)
 
  (princ "\nBitte Blöcke mit Attributen wählen:")
  (if (setq aws (ssget (list (cons 0 "INSERT"))))
    (progn
      (setq n 0)
      (repeat (sslength aws)
        (setq n1 1)

(while (JB_entnext (ssname aws n)n1)
  (if(=(cdr(assoc 0(entget(JB_entnext (ssname aws n) n1))))"ATTRIB")
    (princ (strcat "\nBlock: "(cdr(assoc 2(entget(ssname aws n))))", Attname: "
  (cdr(assoc 2(entget(JB_entnext (ssname aws n) n1))))
  ", Attinhalt: "(cdr(assoc 1(entget(JB_entnext (ssname aws n) n1))))
  )))
   
  (setq n1 (+ n1 1)))
  (setq n (+ n 1)))
     
    )
   
    )
  (princ)
  )

(defun JB_entnext (element n1 / )
  (repeat n1
    (setq element (entnext element))))
   
   
 

------------------
viele Grüße

Jörn

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz